Debian Bug report logs - #691051
ITP: ruby-multipart-post -- provides multipart form post capabilities to Net::HTTP

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "ajax7877@gmail.com" <ajax7877@gmail.com>

Date: Sat, 20 Oct 2012 18:15:05 UTC

Owned by: Ajinkya Bhosale <ajax7877@gmail.com>

Severity: wishlist

Fixed in version ruby-multipart-post/1.2.0-1

Done: Praveen Arimbrathodiyil <praveen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ajinkya Bhosale <ajax7877@gmail.com>:
Bug#691051; Package wnpp. (Sat, 20 Oct 2012 18:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "ajax7877@gmail.com" <ajax7877@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, Ajinkya Bhosale <ajax7877@gmail.com>. (Sat, 20 Oct 2012 18:15:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "ajax7877@gmail.com" <ajax7877@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: ruby-multipart-post -- provides multipart form post capabilities to Net::HTTP
Date: Sat, 20 Oct 2012 23:44:30 +0530
Package: wnpp
Severity: wishlist
Owner: Ajinkya Bhosale <ajax7877@gmail.com>

* Package name : multipart-post
Version : 1.1.5
Upstream Author : Nick Sieger
* URL : https://github.com/nicksieger/multipart-post
* License : MIT
Description : provides multipart form post capabilities to Net::HTTP

supports other methods besides POST.
Encapsultes posting of file/binary parts and name/value parameter parts,similar
to most browsers file upload forms
Provides and UploadIO helper class to preapere IO objects for inclusion in the
params hash of the multipart post object



Added indication that bug 691051 blocks 691274 Request was from Anish A <aneesh.nl@gmail.com> to control@bugs.debian.org. (Wed, 24 Oct 2012 18:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ajinkya Bhosale <ajax7877@gmail.com>:
Bug#691051; Package wnpp. (Fri, 16 Nov 2012 08:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anish A <aneesh.nl@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ajinkya Bhosale <ajax7877@gmail.com>. (Fri, 16 Nov 2012 08:15:08 GMT) Full text and rfc822 format available.

Message #12 received at 691051@bugs.debian.org (full text, mbox):

From: Anish A <aneesh.nl@gmail.com>
To: 691051@bugs.debian.org
Subject: Status
Date: Fri, 16 Nov 2012 13:43:15 +0530
What is the status of this package?



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ajinkya Bhosale <ajax7877@gmail.com>:
Bug#691051; Package wnpp. (Mon, 06 May 2013 10:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ajinkya Bhosale <ajax7877@gmail.com>. (Mon, 06 May 2013 10:27:05 GMT) Full text and rfc822 format available.

Message #17 received at 691051@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 691274@bugs.debian.org, 691051@bugs.debian.org
Cc: Anish A <aneesh.nl@gmail.com>, Ajinkya Bhosale <ajax7877@gmail.com>
Subject: multipart-post is packaged
Date: Mon, 6 May 2013 15:54:17 +0530
Anish,

Since it was blocking faraday and there was no response from itp owner
for a long time, I took the liberty to package multipart-post. You may
continue working on Faraday.

Ajinkya,

If you'd like to continue packaging, I suggest you start with a new gem.

Praveen
--
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 06 May 2013 20:09:04 GMT) Full text and rfc822 format available.

Reply sent to Praveen Arimbrathodiyil <praveen@debian.org>:
You have taken responsibility. (Thu, 16 May 2013 13:03:38 GMT) Full text and rfc822 format available.

Notification sent to "ajax7877@gmail.com" <ajax7877@gmail.com>:
Bug acknowledged by developer. (Thu, 16 May 2013 13:03:38 GMT) Full text and rfc822 format available.

Message #24 received at 691051-close@bugs.debian.org (full text, mbox):

From: Praveen Arimbrathodiyil <praveen@debian.org>
To: 691051-close@bugs.debian.org
Subject: Bug#691051: fixed in ruby-multipart-post 1.2.0-1
Date: Thu, 16 May 2013 13:00:16 +0000
Source: ruby-multipart-post
Source-Version: 1.2.0-1

We believe that the bug you reported is fixed in the latest version of
ruby-multipart-post, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 691051@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Praveen Arimbrathodiyil <praveen@debian.org> (supplier of updated ruby-multipart-post package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 06 May 2013 13:18:50 +0530
Source: ruby-multipart-post
Binary: ruby-multipart-post
Architecture: source all
Version: 1.2.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Praveen Arimbrathodiyil <praveen@debian.org>
Description: 
 ruby-multipart-post - multipart form post accessory for Net::HTTP
Closes: 691051
Changes: 
 ruby-multipart-post (1.2.0-1) unstable; urgency=low
 .
   * Initial release (Closes: #691051)
Checksums-Sha1: 
 bdbe814e53656d0c5fde59171c7f3918729f5dd8 2034 ruby-multipart-post_1.2.0-1.dsc
 3f1dee0c7ea5fa8368f29bcc143c23616de3106d 7569 ruby-multipart-post_1.2.0.orig.tar.gz
 b772d0490ce49f7e9d8f86143a099945a4e00b4b 2188 ruby-multipart-post_1.2.0-1.debian.tar.gz
 a8aa4c84628726f7ea2047814a3976f4b031c892 6508 ruby-multipart-post_1.2.0-1_all.deb
Checksums-Sha256: 
 75b2caceb2d3415820a7364419a30831fdd72fe71f4923083df1b6a13ababb15 2034 ruby-multipart-post_1.2.0-1.dsc
 4ba76eccd9ee96054dcddd01dbfe680554e73eb5705cf9aad45595ea798b60ce 7569 ruby-multipart-post_1.2.0.orig.tar.gz
 baa81ce60561dd50d67cfd8ba02e8aaa6d3d38e80adc7518275d0df0be8359d5 2188 ruby-multipart-post_1.2.0-1.debian.tar.gz
 ee316cb3a9b048cb1e30c68873de53b37eb3c16e7c57661e97cc330380847463 6508 ruby-multipart-post_1.2.0-1_all.deb
Files: 
 2e7ff2f0795aca0e85ed8bedf782e405 2034 ruby optional ruby-multipart-post_1.2.0-1.dsc
 e3af6197f8a47778aebd8c22071ef3e8 7569 ruby optional ruby-multipart-post_1.2.0.orig.tar.gz
 d79327a10246eb86e9ffbc9235198ab8 2188 ruby optional ruby-multipart-post_1.2.0-1.debian.tar.gz
 a531b7f2b5cfa7d6d3a987c98397bfa2 6508 ruby optional ruby-multipart-post_1.2.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRh4RCAAoJEM4fnGdFEsIqTgUP/25E/WaBvcIh+f+5Ir8XBNV2
aI0dFSDQm6djg3mNp4BaG1RxZlDDC1AjN534d8gN0caTAZJ7pPi52XDPi/ai2d0x
fNGlfgoSF8OeHSxglMCjXB1NkRbtxaHiLprn40e25WcDCBtJF18WCmeRTNsd2duq
cs4ZP5SzlX+VSm+aroeF0fNUhfKP8O5com97daEHVD8ic+Q3jXxC+EsKz7jzb6Y3
gax5u86Z2z8S8a3gj5Y5zOoseeaNTu0wcISgnJmrRTrYU5x58Cm0Uw4ngDo8dV9q
rZl3pH62+LZVE2Mi3IqI4/njf2q8b3XaKfDuyoCd8K4ScsMwNCEZKbGR9ObkxaRP
WU25uUTTHGpd7sAxbg9/D+i+wKfXnW04pCL03d03BpVaThLG9AXUCAeoJk+88WVH
MUGZIvkeejls/G4JREA7DSxu8xlHOjS6Hin521ZPp3DZ1/iXEVszr6nfLLev5PaK
2YQTtmkvto1iGlzVRaQ3/VUHPk0Ltvcxq4IvvCdt/QgcNRSIWr2cUj7E4iH0W6MO
QcIE+iAQf0IYB9P2JKmmTeThoSa3s6ku+n00Xfh0KOIYTCwjyTDM0uh4w6IVAHzD
O7cfo6fr4NWZrvTpYfNMNvNVBgLrne3tqDoLKiS1GFLaXTUL9lKmePtPUYcoHnLc
XXbE5KLnppRVkoCz9Mta
=xzCr
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Jun 2013 07:48:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 03:00:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.